<ion-header>
  <ion-toolbar color="secondary">
    <ion-title>
      Accordion baby!
    </ion-title>
    <ion-buttons slot="end">
      <ion-button (click)="automaticClose = !automaticClose">
        <ion-icon slot="icon-only" name="close" *ngIf="automaticClose"></ion-icon>
        <ion-icon slot="icon-only" name="resize" *ngIf="!automaticClose"></ion-icon>
      </ion-button>
    </ion-buttons>
  </ion-toolbar>
</ion-header>

<ion-content padding>
<!--3 navigational levels in the accordion-->
<!-- detail false to keep it from moving forward which i will remove on live-->
  <ion-list *ngFor="let item of information; let i = index;" class="accordion-list" lines="none" detail="false">

<!--using the ngClass to activate diff css depending on state of list open or closed/  also look into js syntax and diff btwn dash n dots-->

    <ion-item tappable (click)="toggleSection(i)" [ngClass]="{'section-active': item.open, 'section': !item.open}">
      <ion-icon slot="start" name="arrow-forward" *ngIf="!item.open"></ion-icon>
      <ion-icon slot="start" name="arrow-down" *ngIf="item.open"></ion-icon>
      <ion-label>
        {{ item.name }}
      </ion-label>
    </ion-item>
<!--using a sub array here to open the lists-->
    <div *ngIf="item.children && item.open">
<!--line belows allows for sequential opening and clossig of the lists-->
      <ion-list *ngFor="let child of item.children; let j = index;" lines="none" class="child-list">
<!-- the added *ngIf="child.children" keeps list from creating second level headers treating them as products   -->
        <ion-item tappable (click)="toggleItem(i, j)" *ngIf="child.children" [ngClass]="{'child-active': child.open, 'child': !child.open}">
          <ion-icon slot="start" name="add" *ngIf="!child.open"></ion-icon>
            <ion-icon slot="start" name="close" *ngIf="child.open"></ion-icon>
              <ion-label>
                {{ child.name }}
              </ion-label>
        </ion-item>

<!-- way to display items on 1st level using custom app product component-->
        <app-product [product]="child" *ngIf="!child.children"></app-product>

<!--list to display the additional items within the pizza sections-->
        <ion-list *ngIf="child.children && child.open" class="product-list" lines=none>
          <app-product [product]="product" *ngFor="let product of child.children"></app-product>
        </ion-list>

      </ion-list>
    </div>

    <p *ngIf="item.children.length == 0 && item.open" text-center> Sorry Amigo aint nutin ere </p>

  </ion-list>

</ion-content>
